Package com.independentsoft.graph.mails

# Enum Class MessageActionFlag

java.lang.Object
java.lang.Enum<MessageActionFlag>
com.independentsoft.graph.mails.MessageActionFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageActionFlag>`, `Constable`

public enum MessageActionFlag extends Enum<MessageActionFlag>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  `CALL`
  `DO_NOT_FORWARD`
  `FOLLOW_UP`
  `FOR_YOUR_INFORMATION`
  `FORWARD`
  `NO_RESPONSE_NECESSARY`
  `NONE`
  `READ`
  `REPLY`
  `REPLY_TO_ALL`
  `REVIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageActionFlag`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageActionFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY

    public static final MessageActionFlag ANY

  - ### CALL

    public static final MessageActionFlag CALL

  - ### DO_NOT_FORWARD

    public static final MessageActionFlag DO_NOT_FORWARD

  - ### FOLLOW_UP

    public static final MessageActionFlag FOLLOW_UP

  - ### FOR_YOUR_INFORMATION

    public static final MessageActionFlag FOR_YOUR_INFORMATION

  - ### FORWARD

    public static final MessageActionFlag FORWARD

  - ### NO_RESPONSE_NECESSARY

    public static final MessageActionFlag NO_RESPONSE_NECESSARY

  - ### READ

    public static final MessageActionFlag READ

  - ### REPLY

    public static final MessageActionFlag REPLY

  - ### REPLY_TO_ALL

    public static final MessageActionFlag REPLY_TO_ALL

  - ### REVIEW

    public static final MessageActionFlag REVIEW

  - ### NONE

    public static final MessageActionFlag NONE

- ## Method Details

  - ### values

    public static MessageActionFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageActionFlag valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null